Developer Documentation

Signals | Public Member Functions | List of all members
StatusbarInterface Class Reference

Control OpenFlippers status bar. More...

`#include <OpenFlipper/BasePlugin/StatusbarInterface.hh>`

Inheritance diagram for StatusbarInterface:

## Signals
virtual void | showStatusMessage (QString _message, int _timeout=0)
| Show a message in the status bar. More...

## Public Member Functions
virtual | ~StatusbarInterface ()
| Destructor.
void | setStatus (ApplicationStatus::applicationStatus _status)
| Sets the status icon of the StatusBar. More...
void | clearStatusMessage ()
| Removes the current message from the statusBar. More...
void | addWidgetToStatusbar (QWidget *_widget)
| Add a widget on the right side of the statusBar. More...

## Detailed Description

Control OpenFlippers status bar.

Detailed description
This interface can be used to send messages to OpenFlippers statusbar. It is also possible to add your own widget to the bar.

Definition at line 81 of file StatusbarInterface.hh.

## Member Function Documentation

## ◆ addWidgetToStatusbar()

void StatusbarInterface::addWidgetToStatusbar | ( | QWidget * | _widget | ) |
| inline

Add a widget on the right side of the statusBar.

Use this function if you want to add an additional widget to the statusbar. It will be added on the right side.

Parameters

  _widget | The widget that should be added to the statusbar

Definition at line 121 of file StatusbarInterface.hh.

## ◆ clearStatusMessage()

void StatusbarInterface::clearStatusMessage | ( |  | ) |
| inline

Removes the current message from the statusBar.

Definition at line 112 of file StatusbarInterface.hh.

## ◆ setStatus()

void StatusbarInterface::setStatus | ( | ApplicationStatus::applicationStatus | _status | ) |
| inline

Sets the status icon of the StatusBar.

OpenFlipper statusbar contains a small icon in the statusbar which can be used to indicate the current status of the application. The valid values are defined in the enum ApplicationStatus::applicationStatus.

Parameters

  _status | New status

Definition at line 107 of file StatusbarInterface.hh.

## ◆ showStatusMessage

virtual void StatusbarInterface::showStatusMessage | ( | QString | _message,
|  | int | _timeout = `0`
| ) |  |
| inline virtual signal

Show a message in the status bar.

You can specify a timeout if the message should be removed after _timeout milliseconds

Definition at line 97 of file StatusbarInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/StatusbarInterface.hh